#include <iostream>
#include <string>

struct Animal {
    std::string name; 
    std::string classType; 
    std::string nickname; 
	std::string voice;
};

void fillAnimal(Animal &animal) {
    std::cout << "Введите название животного: ";
    std::getline(std::cin, animal.name);
    std::cout << "Введите класс животного: ";
    std::getline(std::cin, animal.classType);
    std::cout << "Введите кличку животного: ";
    std::getline(std::cin, animal.nickname);
}

void displayAnimal(const Animal &animal) {
    std::cout << "Название: " << animal.name << std::endl;
    std::cout << "Класс: " << animal.classType << std::endl;
    std::cout << "Кличка: " << animal.nickname << std::endl;
}

void makeSound(const Animal &animal) {
    std::cout << "Выберите звук для животного " << animal.nickname << ":" << std::endl;
    std::cout << "1. Мяу" << std::endl;
    std::cout << "2. Гав" << std::endl;
    std::cout << "3. Чик-чирик" << std::endl;
    std::cout << "4. Ква" << std::endl;
    std::cout << "Введите номер звука: ";


    int choice;
    std::cin >> choice;

    switch (choice) {
        case 1:
            std::cout << animal.nickname << " говорит: Мяу!" << std::endl;
            break;
        case 2:
            std::cout << animal.nickname << " говорит: Гав!" << std::endl;
            break;
        case 3:
            std::cout << animal.nickname << " говорит: Чик-чирик!" << std::endl;
            break;
        case 4:
            std::cout << animal.nickname << " говорит: Ква!" << std::endl;
            break;
        default:
            std::cout << "Неверный выбор." << std::endl;
            break;
    }
}

int main() {
    Animal myAnimal;	
    fillAnimal(myAnimal);

    displayAnimal(myAnimal);

    makeSound(myAnimal);
    return 0;
}

